=== debian/changelog ===
kadu (1.3-2ubuntu1) wily; urgency=medium

  * debian/patches/gcc5.patch:
    - Fix FTBFS with gcc5 by changing char to signed char.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 14 Aug 2015 10:59:52 -0400

kadu (1.3-2build1) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:11:43 +0000

kadu (1.3-2) unstable; urgency=medium

  * Fixed build error with new CMake (Closes: #789840)

 -- Patryk Cisek <patryk@debian.org>  Wed, 08 Jul 2015 20:31:58 +0200

kadu (1.3-1) unstable; urgency=medium

  * New upstream release
  * Removed hardcoded upstream version (1.0) from debian/build_kadu.sh
    helper script

 -- Patryk Cisek <patryk@debian.org>  Sun, 28 Dec 2014 16:00:22 +0100
